=== debian/rules ===
#!/usr/bin/make -f

NULL =

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# If the build environment sets -Bsymbolic-functions, which is often used as
# hardening option, that would break libvirt build time self-testing.
# Therefore let dpkg-buildflag strip that option if present.
DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Fail if the symbols file contains certain mistakes
DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export DPKG_GENSYMBOLS_CHECK_LEVEL

include debian/arches.mk

ifeq ($(DEB_HOST_ARCH_OS), linux)
    WITH_DAEMONS              = -Ddriver_libvirtd=enabled -Dhost_validate=enabled
    WITH_ESX                  = -Ddriver_esx=enabled -Dcurl=enabled
    WITH_VMWARE               = -Ddriver_vmware=enabled
    WITH_STORAGE_FS           = -Dstorage_fs=enabled
    WITH_STORAGE_DIR          = -Dstorage_dir=enabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=enabled
    WITH_STORAGE_SCSI         = -Dstorage_scsi=enabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=enabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=enabled -Dlibiscsi=enabled
    WITH_STORAGE_DISK         = -Dstorage_disk=enabled
    WITH_STORAGE_MPATH        = -Dstorage_mpath=enabled
    WITH_STORAGE_ZFS          = -Dstorage_zfs=enabled
    WITH_BLKID                = -Dblkid=enabled
    WITH_FUSE                 = -Dfuse=enabled
    WITH_UDEV                 = -Dudev=enabled -Dpciaccess=enabled
    WITH_CAPNG                = -Dcapng=enabled
    WITH_LIBNL                = -Dlibnl=enabled
    WITH_NETWORK              = -Ddriver_network=enabled -Dfirewall_backend_priority=iptables,nftables
    WITH_INTERFACE            = -Ddriver_interface=enabled
    WITH_SECRETS              = -Ddriver_secrets=enabled
    WITH_OPENVZ               = -Ddriver_openvz=enabled
    WITH_YAJL                 = -Dyajl=enabled
    WITH_POLKIT               = -Dpolkit=enabled
    WITH_SANLOCK              = -Dsanlock=enabled
    WITH_INIT_SCRIPT          = -Dinit_script=systemd
    WITH_FIREWALLD            = -Dfirewalld=enabled
    WITH_ATTR                 = -Dattr=enabled
    WITH_AUDIT                = -Daudit=enabled
    WITH_LIBPCAP              = -Dlibpcap=enabled
    WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
    WITH_NSS_PLUGIN           = -Dnss=enabled
    WITH_DTRACE               = -Ddtrace=enabled
    WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
    WITH_SYSCTL               = -Dsysctl_config=enabled -Duserfaultfd_sysctl=enabled
    WITH_WIRESHARK            = -Dwireshark_dissector=enabled
else
    WITH_DAEMONS              = -Ddriver_libvirtd=disabled -Dhost_validate=disabled
    WITH_ESX                  = -Ddriver_esx=disabled -Dcurl=disabled
    WITH_VMWARE               = -Ddriver_vmware=disabled
    WITH_STORAGE_FS           = -Dstorage_fs=disabled
    WITH_STORAGE_DIR          = -Dstorage_dir=disabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=disabled
    WITH_STORAGE_SCSI         = -Dstorage_scsi=disabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=disabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=disabled -Dlibiscsi=disabled
    WITH_STORAGE_DISK         = -Dstorage_disk=disabled
    WITH_STORAGE_MPATH        = -Dstorage_mpath=enabled
    WITH_STORAGE_ZFS          = -Dstorage_zfs=disabled
    WITH_BLKID                = -Dblkid=disabled
    WITH_FUSE                 = -Dfuse=disabled
    WITH_UDEV                 = -Dudev=disabled -Dpciaccess=disabled
    WITH_CAPNG                = -Dcapng=disabled
    WITH_LIBNL                = -Dlibnl=disabled
    WITH_NETWORK              = -Ddriver_network=disabled -Dfirewall_backend_priority=iptables,nftables
    WITH_INTERFACE            = -Ddriver_interface=disabled
    WITH_SECRETS              = -Ddriver_secrets=disabled
    WITH_OPENVZ               = -Ddriver_openvz=disabled
    WITH_POLKIT               = -Dpolkit=disabled
    WITH_YAJL                 = -Dyajl=disabled
    WITH_SANLOCK              = -Dsanlock=disabled
    WITH_INIT_SCRIPT          = -Dinit_script=none
    WITH_FIREWALLD            = -Dfirewalld=disabled
    WITH_ATTR                 = -Dattr=disabled
    WITH_AUDIT                = -Daudit=disabled
    WITH_LIBPCAP              = -Dlibpcap=disabled
    WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
    WITH_NSS_PLUGIN           = -Dnss=disabled
    WITH_DTRACE               = -Ddtrace=disabled
    WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
    WITH_SYSCTL               = -Dsysctl_config=disabled -Duserfaultfd_sysctl=disabled
    WITH_WIRESHARK            = -Dwireshark_dissector=disabled
endif

ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_CEPH)))
    WITH_STORAGE_RBD          = -Dstorage_rbd=enabled
else
    WITH_STORAGE_RBD          = -Dstorage_rbd=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_GLUSTER)))
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=enabled -Dglusterfs=enabled
else
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=disabled -Dglusterfs=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_QEMU)))
    WITH_QEMU                 = -Ddriver_qemu=enabled
else
    WITH_QEMU                 = -Ddriver_qemu=disabled
endif
ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
    WITH_LXC                  = -Ddriver_lxc=enabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=enabled
else
    WITH_LXC                  = -Ddriver_lxc=disabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_XEN)))
    WITH_LIBXL                = -Ddriver_libxl=enabled
else
    WITH_LIBXL                = -Ddriver_libxl=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_VBOX)))
    WITH_VBOX                 = -Ddriver_vbox=enabled
else
    WITH_VBOX                 = -Ddriver_vbox=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_NBDKIT)))
    WITH_NBDKIT               = -Dnbdkit=enabled -Dnbdkit_config_default=enabled
else
    WITH_NBDKIT               = -Dnbdkit=disabled -Dnbdkit_config_default=disabled
endif

DEB_CONFIGURE_EXTRA_ARGS := \
    --libexecdir=/usr/lib/libvirt \
    -Drunstatedir=/run \
    -Dinitconfdir=/etc/default \
    -Dsshconfdir=/etc/ssh/ssh_config.d \
    -Dunitdir=/usr/lib/systemd/system \
    -Dsysusersdir=/usr/lib/sysusers.d \
    -Dno_git=true \
    -Dpackager="$(DEB_VENDOR)" \
    -Dpackager_version="$(DEB_VERSION)" \
    $(WITH_DAEMONS) \
    $(WITH_QEMU) \
    -Ddriver_remote=enabled \
    -Dremote_default_mode=legacy \
    -Dssh_proxy=disabled \
    -Ddriver_test=enabled \
    -Ddriver_ch=disabled \
    -Ddriver_bhyve=disabled \
    -Ddriver_hyperv=disabled \
    -Dopenwsman=disabled \
    -Ddriver_vz=disabled \
    -Dqemu_user=libvirt-qemu \
    -Dqemu_group=kvm \
    -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
    -Dqemu_datadir=/usr/share/qemu \
    -Ddocs=enabled \
    -Ddocdir=/usr/share/doc/libvirt \
    -Dtests=enabled \
    -Drpath=disabled \
    -Dnls=enabled \
    -Dtls_priority=NORMAL \
    $(WITH_OPENVZ) \
    -Dsasl=enabled \
    -Dlibssh2=disabled \
    -Dlibssh=enabled \
    -Dreadline=enabled \
    -Dbash_completion=enabled \
    -Dbash_completion_dir=/usr/share/bash-completion/completions \
    $(WITH_YAJL) \
    $(WITH_POLKIT) \
    $(WITH_SANLOCK) \
    $(WITH_UDEV) \
    $(WITH_STORAGE_FS) \
    $(WITH_STORAGE_DIR) \
    $(WITH_STORAGE_LVM) \
    $(WITH_STORAGE_SCSI) \
    $(WITH_STORAGE_ISCSI) \
    $(WITH_STORAGE_ISCSI_DIRECT) \
    $(WITH_STORAGE_DISK) \
    $(WITH_STORAGE_RBD) \
    $(WITH_STORAGE_GLUSTER) \
    $(WITH_STORAGE_MPATH) \
    $(WITH_STORAGE_ZFS) \
    -Dstorage_vstorage=disabled \
    $(WITH_BLKID) \
