=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Andrea Bolognani <eof@kiyuko.org>,
Build-Depends:
 augeas-tools [linux-any],
 bash-completion,
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 kmod [linux-any],
 libacl1-dev [linux-any],
 libapparmor-dev (>= 3.0.0) [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libblkid-dev [linux-any],
 libc-dev (>= 2.31-14~),
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev [linux-any],
 libdevmapper-dev [linux-any],
 libfuse3-dev [linux-any],
 libglib2.0-dev,
 libglusterfs-dev [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev [linux-any],
 libpcap0.8-dev [linux-any],
 libpciaccess-dev [linux-any],
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 librbd-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libssh-dev,
 libssh2-1-dev,
 libtasn1-6-dev,
 libtirpc-dev,
 libudev-dev [linux-any],
 libwireshark-dev [linux-any],
 libxen-dev [amd64 arm64 armhf],
 libxml2-dev,
 libxml2-utils,
 libyajl-dev [linux-any],
 lvm2 [linux-any],
 meson,
 mount [linux-any],
 nfs-common:native [linux-any],
 numad:native [linux-any],
 open-iscsi [linux-any],
 po-debconf,
 python3-docutils,
 python3:native,
 qemu-utils [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 systemtap-sdt-dev [linux-any],
 xsltproc,
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 libxml2-utils,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-clients-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon (= ${binary:Version}) [linux-any],
 libvirt-login-shell (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends:
 libvirt-common (<< ${source:Version}.1~),
 libvirt-common (>= ${source:Version}),
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 python3-cryptography,
 python3-libvirt,
 python3-lxml,
 python3:any,
 ${misc:Depends},
Description: Programs for the libvirt library (QEMU specific)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the QEMU-specific client binaries.

Package: libvirt-login-shell
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends:
 libvirt-clients (= ${binary:Version}),
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-clients (<< 6.9.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
Description: Isolate user sessions using LXC containers
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virt-login-shell tool, which can be set as a user's
 login shell to isolate their sessions using LXC containers.

Package: libvirt-daemon
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-interface (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt-daemon-driver-nodedev (= ${binary:Version}),
 libvirt-daemon-driver-nwfilter (= ${binary:Version}),
 libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon-driver-secret (= ${binary:Version}),
 libvirt-daemon-driver-storage (= ${binary:Version}),
 libvirt-daemon-driver-storage-disk (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi (= ${binary:Version}),
 libvirt-daemon-driver-storage-logical (= ${binary:Version}),
 libvirt-daemon-driver-storage-mpath (= ${binary:Version}),
 libvirt-daemon-driver-storage-scsi (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
 libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64 armhf],
 libvirt-daemon-lock (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt-daemon-plugin-lockd (= ${binary:Version}),
 libvirt-daemon-plugin-sanlock (= ${binary:Version}),
Suggests:
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-system (= ${binary:Version}),
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-common
Section: admin
Architecture: linux-any
Depends:
 adduser,
 gettext-base,
 iproute2,
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 polkitd (>= 121+compat0.1-2),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dmidecode,
 netcat-openbsd,
 systemd-sysv | sysvinit-core,
Suggests:
 apparmor,
 auditd,
 systemtap,
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: Virtualization daemon common files
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains files needed by the various libvirt daemons.

Package: libvirt-daemon-log
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: Virtualization log daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virtlogd daemon, which handles logging.

Package: libvirt-daemon-lock
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
Description: Virtualization lock daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virtlockd daemon, which handles storage locking.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: no
Depends:
 adduser,
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 passt,
 qemu-kvm | qemu-system,
 swtpm,
 swtpm-tools,
 systemd-container | sysvinit-core,
Suggests:
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: no
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.
