=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,7 @@
     -Dopenwsman=disabled \
     -Ddriver_vz=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=kvm \
+    -Dqemu_group=libvirt-qemu \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Dqemu_datadir=/usr/share/qemu \
     -Ddocs=enabled \
@@ -165,7 +165,7 @@
     -Dtls_priority=NORMAL \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
-    -Dlibssh2=disabled \
+    -Dlibssh2=enabled \
     -Dlibssh=enabled \
     -Dreadline=enabled \
     -Dbash_completion=enabled \
@@ -186,4 +186,3 @@
     $(WITH_STORAGE_MPATH) \
     $(WITH_STORAGE_ZFS) \
     -Dstorage_vstorage=disabled \
-    $(WITH_BLKID) \
